#!/usr/bin/perl
#==============================================================================
#=== This is a script to test Gtk2::main
#==============================================================================
require 5.000; use strict 'vars', 'refs', 'subs';

BEGIN { 
    use Gtk2::Test; 
    @test_plan = (
        [$USE, 'Gtk2'],
            ["init()"],
            ["timeout_add(2000, 'handler', 'data')"],
            ["timeout_remove(\$ret)", '== 1'],
            ["update_ui"],
    );
    plan tests => scalar @test_plan;
}

$DEBUG = $ARGV[0] || 0;

&do_tests;
